UC4 Utilities and Java 1.7

Document ID : KB000089255
Last Modified Date : 14/04/2018
Show Technical Document Details
Issue:
UC4 Utilities and Java 1.7
Resolution:

Checklist;

Please note that Automic supports Java 1.7 on Version 9.00A with Servicepack 4 or higher, if you have an Version older than this servicepack, this Knowledgebase Article is not going to help you, please update your Automic System to Servicepack 4 (or higher) If you are using Version 8.00A please read the related Knowledgebase

Symptoms;
When trying to start Utilities the Splash Screen appears for a second, and disappears without showing the program

Investigation;
Was the utility installation an upgrade? Did you upgrade from utilities of an earlier hot fix or service-pack?

Are you using Java 1.7? (to find this, please enter the command "java -version" into the command-line of Windows

Possible reason for the issue;
The upgrade kept the old .ini Files however when the Utilities were made ready for Java 1.7 support there have been new restrictions into the java-commands, which makes it necessary to change the .ini files.

Solution;
The Upgrade copies the recent .ini Files into the utility folder and renames them to e.g. "ucybdbld.ori.ini"

Rename the old .ini File (e.g. ucybdbyld.ini) to ucybdbld.ini.old)

Take the new file, rename it to the name of the old .ini file e.g. "ucybdbld.ini" and assign the settings from the old .ini File into the new one (db connect string, and other details you had for your utilities) you can copy and paste the values from the old .ini file to the new one.

Restart the utility, it will work then

Possible Workarounds

Using Java 1.6, the old .ini Files can handle this version (of course the new ones too)

Start the .bat file of the utility outside of the command-line (e.g. ucybdbldg.bat) it will open the utility screen also with the old .ini files and Java 1.7